Skip to main content
GET
/
v1
/
vaults
/
underlying_strategies
Fetch the underlying backing assets for a vault
curl --request GET \
  --url https://api.paxoslabs.com/v1/vaults/underlying_strategies
import requests

url = "https://api.paxoslabs.com/v1/vaults/underlying_strategies"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.paxoslabs.com/v1/vaults/underlying_strategies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "1": {
    "apxETH": {
      "valueInBase": 1.023232424,
      "pendingDeposits": 0,
      "pendingWithdrawals": 0,
      "tokenAddress": "0xTokenA",
      "decimals": 18,
      "allocationPercentage": 50
    },
    "ezETH": {
      "valueInBase": "3000232.1230\"",
      "pendingDeposits": 123.2,
      "pendingWithdrawals": 123.2,
      "tokenAddress": "0xTokenB",
      "decimals": 18,
      "allocationPercentage": 20
    }
  },
  "1923": {
    "weETH": {
      "valueInBase": 1.023232424,
      "pendingDeposits": 0,
      "pendingWithdrawals": 0,
      "tokenAddress": "0xTokenC",
      "decimals": 18,
      "allocationPercentage": 30
    }
  }
}
{
"error": "vault_address is required"
}
{
"error": "<string>"
}

Query Parameters

vault_address
string
required

The address of the vault.

Example:

"0xA8A3A5013104e093245164eA56588DBE10a3Eb48"

Response

Successful response with token balances categorized by chain ID and token label.

{key}
object